diff -Naur --no-dereference a/drivers/net/wireless/broadcom/brcm80211/brcmfmac/proto.h b/drivers/net/wireless/broadcom/brcm80211/brcmfmac/proto.h
--- a/drivers/net/wireless/broadcom/brcm80211/brcmfmac/proto.h	2020-01-09 04:19:10.000000000 -0500
+++ b/drivers/net/wireless/broadcom/brcm80211/brcmfmac/proto.h	2020-06-19 21:00:31.420227716 -0400
@@ -30,9 +30,9 @@
 	int (*hdrpull)(struct brcmf_pub *drvr, bool do_fws,
 		       struct sk_buff *skb, struct brcmf_if **ifp);
 	int (*query_dcmd)(struct brcmf_pub *drvr, int ifidx, uint cmd,
-			  void *buf, uint len, int *fwerr);
+			  void *buf, uint len);
 	int (*set_dcmd)(struct brcmf_pub *drvr, int ifidx, uint cmd, void *buf,
-			uint len, int *fwerr);
+			uint len);
 	int (*tx_queue_data)(struct brcmf_pub *drvr, int ifidx,
 			     struct sk_buff *skb);
 	int (*txdata)(struct brcmf_pub *drvr, int ifidx, u8 offset,
@@ -48,14 +48,12 @@
 	void (*del_if)(struct brcmf_if *ifp);
 	void (*reset_if)(struct brcmf_if *ifp);
 	int (*init_done)(struct brcmf_pub *drvr);
-	void (*debugfs_create)(struct brcmf_pub *drvr);
 	void *pd;
 };
 
 
 int brcmf_proto_attach(struct brcmf_pub *drvr);
-void brcmf_proto_detach_pre_delif(struct brcmf_pub *drvr);
-void brcmf_proto_detach_post_delif(struct brcmf_pub *drvr);
+void brcmf_proto_detach(struct brcmf_pub *drvr);
 
 static inline int brcmf_proto_hdrpull(struct brcmf_pub *drvr, bool do_fws,
 				      struct sk_buff *skb,
@@ -73,16 +71,14 @@
 	return drvr->proto->hdrpull(drvr, do_fws, skb, ifp);
 }
 static inline int brcmf_proto_query_dcmd(struct brcmf_pub *drvr, int ifidx,
-					 uint cmd, void *buf, uint len,
-					 int *fwerr)
+					 uint cmd, void *buf, uint len)
 {
-	return drvr->proto->query_dcmd(drvr, ifidx, cmd, buf, len,fwerr);
+	return drvr->proto->query_dcmd(drvr, ifidx, cmd, buf, len);
 }
 static inline int brcmf_proto_set_dcmd(struct brcmf_pub *drvr, int ifidx,
-				       uint cmd, void *buf, uint len,
-				       int *fwerr)
+				       uint cmd, void *buf, uint len)
 {
-	return drvr->proto->set_dcmd(drvr, ifidx, cmd, buf, len, fwerr);
+	return drvr->proto->set_dcmd(drvr, ifidx, cmd, buf, len);
 }
 
 static inline int brcmf_proto_tx_queue_data(struct brcmf_pub *drvr, int ifidx,
@@ -158,10 +154,4 @@
 	return drvr->proto->init_done(drvr);
 }
 
-static inline void
-brcmf_proto_debugfs_create(struct brcmf_pub *drvr)
-{
-	drvr->proto->debugfs_create(drvr);
-}
-
 #endif /* BRCMFMAC_PROTO_H */
